Chuyển đến nội dung chính
GET
/
api
/
v1
/
webhooks
/
{id}
Get Webhook
curl --request GET \
  --url https://api.agentwallex.com/api/v1/webhooks/{id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "status": "active",
  "created_at": "2023-11-07T05:31:56Z"
}

Tham số đường dẫn

id
string
bắt buộc
ID Webhook (ví dụ: whk_abc123).

Ví dụ

curl -X GET https://api.agentwallex.com/api/v1/webhooks/whk_abc123 \
  -H "X-API-Key: awx_your_api_key"

Ủy quyền

X-API-Key
string
header
bắt buộc

API key authentication. Keys are prefixed with awx_.

Tham số đường dẫn

id
string
bắt buộc

The webhook ID (e.g., whk_abc123).

Phản hồi

Webhook details.

A registered webhook endpoint for receiving real-time event notifications.

id
string

Unique webhook identifier (e.g., whk_abc123).

url
string<uri>

HTTPS URL that receives webhook events.

events
string[]

List of subscribed event types.

status
enum<string>

Webhook status.

Tùy chọn có sẵn:
active,
inactive
created_at
string<date-time>

ISO 8601 creation timestamp.